# Changelog
All notable changes to this project will be documented in this file.


## [1.0.15-1]

### Changed 

- Change UI in Artworks Feed Screen

### Added

- Implement CI/CD

## [1.0.15-2]

### Added 

- Start Recreating UI of Wallpaper Detail Screen

## [1.0.15-3]

### Added 

- Add all UI elements on new Detail Artwork view

## [1.0.15-4]

### Added 

- Add scrolling to selected cell
- Implement artist avatar loading and likes count in Artwork Detail Screen 
- Add routing to Artist Profile Screen

## [1.0.15-5]

### Added 

- Add empty status for like button in Detail Artwork Screen
- Add artwork title text in the bottom of Detail Artwork Screen
- Add loading random 3 categories in the Main Feed Screen 
- Implement routing from category in the Main Feed Screen

### Improved 

- Improve Detail Artwork Screen Layout
- Improve transition animation from collections screen into collection screen

## [1.0.15-6]

### Added 

- Connect like button status between feed and detail screens
- Add shadows
- Add download button logic in detail screen

## [1.0.15-7]

### Added 

- Add opening new detail screen from search screen

## [1.0.15-8]

### Added 

- Fix dark theme

## [1.0.15-9]

### Added 

- Add swipe up animations (need to remote black background in animation)
- Inscrease three dot touch area (I keeped background so you can see the touch area)

## [1.0.15-10]

### Added 

- Add swipe up animation
- Add opening new detail screen from my profile screen

## [1.0.15-11]

### Added 

- Remove Category Names Text
- Add ThreeDot menu in detail screen

## [1.0.15-12]

### Added 

- Add Swipe Animation for Swipe Up animation
- Fix design in three dot view

## [1.0.15-13]

### Added 

- Fix Artist Button Issue
- Fix artwork desctiption text right layout, now it goes to the second line if text too big 

## [1.0.15-14]

- Fix huge social media icons in Artists profile screen
- Add dark mode for social media icons in Artists profile screen
- Fix Can't Get Out Of Artist Screen problem

## [1.0.15-15]

- Fix hamburger button color in My Profile screen
- Fix App crashes on old devices bug

## [1.0.15-16]

- Fix CRASH When Setting An Image bug

## [1.0.15-17]

- Add shadows in Detail Artwork Screen according to design
- Fix REOPEN [1.0.15(16)D] - CRASH When Setting An Image

## [1.0.15-18]

- Fix Google autentification + go back button

## [1.0.15-19]

- [P1] [IOS 16] [iphone XR] [1.0.15 (18)] Empty search crash
- [P1] [iPhone 12 mini] [iOS 15.6] [1.0.15(11)D] -Can't Like Searched Images
- [P2] [iPhone 12 mini] [iOS 15.6] [1.0.15(11)D] - Artist Button Has No Image
- [P1] [IOS 16] [iphone XR] [1.0.15 (18)] Search results duplicated, crash after scrolling a search results
- [P1] [iPhone 11] [iOs 15.6] [1.0.15(7)D] - Search Screen Issues


## [1.1.1]

### Added
- Add ability to save aspect ratio when downloading WP
- Update side menu to match design in links
- Delete account pipeline
- Delete opportunity to choose aspect ratio, always download Rectangle
- Purchase screen changes
- Update new design for Profile
- Update new design for Settings
- Adding ads to Walli iOS
- Secret and Premium Wallppaper
- Remove terms/policy/restore links from iap pages
- Don't show clock header on feed
- Test full blade image design
- Wallpaper - Guide for implementation
- Implement IOS push logic
- Implement Sign in with Apple
- Update Artist Screen Design
- Change unloaded state
- Make Wallpapers shown in Fullscreen in expanded feed
- Change algorithm for secret wallpapers
- Update secret and premium wallpaper screen
- Keep the user in the same image pointer when switching feeds
- Decrease the margins on feed
- Change search design

### Fixed
- Better UI For Resolution Selection Screen
- Change AppStore Icon
- Artists Screen UI issues on dark mode
- Header on login screen messed up
- Purchase screen loads forever
- Sharing image doesn't work
- Feed UI issue on iPhone 14 pro
- Fix Text In My Profile
- This build crashes everytime i try to open app
- Feedback option is missing in Settings
- UI issues in My Profile screen
- Artist's Description cuts off
- UI issues in Artists screen
- Images in Likes and Downloads Jumps
- Notifications Bell icon should be white in Dark mode
- Premium content screen design mismatch
- Transition Into Search
- Fix images zoom - should be as android
- Reopen - Implement IOS push logic
- Connect like button status between feed and detail screens
- Wrong UI In Search Results
- Didn't get notification for popular images
- No Premium Or Secret Wallpapers In Search Results
- Wrong Secret Wallpaper Design
- Transition from collection screen into a collection
- Wallpaper Screen Dialog
- Purchase screen changes
- Coming back into the app after idle - black screen
- Search Screen Issues
- Add animation for premium pop up


## [1.1.2]

### Added
- Use in the feeds(collections, recent, popular, featured) pictures aspect ration from search
- Search string - always show cross
- Rate us flow
- Open tag from tag search - use design from search
- A/B test - don't show like button and like count in the feed view
- Add events: download_button, image_downloaded, image_shared
- Add hidden log screen
- Update Walli events
- Tutorial on 1st wallpaper install
- Change `Log in` to `Sign in`
- Update UI for set wallpaper tutorial screen

### Fixed
- Don't show results in empty search
- Categories Crash - make hot-fix
- Artist screen different view in two enters
- Recent & Popular Mix Up
- Collections  User Should Be Taken To Top Of Feed When Switching Between Popular/Recent
- Strange behavior of categories

## [1.1.3]

### Added
- Art generator
- Alert users for NSFW text
- Update Art Generator API
- Update search design 
- Update margins according to design
- Report image from 3 dot menu
- Add delete AI wallpapers feature
- Update design for home category bar
- Add art generator tutorial
- Adjust integration
- Add prompt suffixes config
- AI generation design update (for generator screen)
- Add events
- AI generation design update (for result screen)
- Inspired section
- Add more styles
- Crash when tapping Ai on fresh install
- Suggested words should use pair of entity
- Implement batch generation
- Generate the AI art in the background while showing ads
- First try once a day ad-free
- Show an additional 5 sec ad when non-pro user wants to download
- “Get inspired” images should be portrait (but configurable)
- Show actual image size on result screen
- Implement HD Quality
- Add ai video banner
- First generation after tutorial
- Watermark
- Update icons design
- Add limits and IAP screens
- Always show only 3 lines of text
- 1st generation per day no ad
- Delete "Featured" feed
- Delete "photo not saved" pop up on tap back from results screen
- Add banner before the feeds.
- Delete "Featured" feed
- Tap on AI tab when no pictures generated yet - transfer directly to AI pipeline.
- On first generation after tutorial, show only 1 picture
- Change text of button "Sign up with Apple" to "Sign in with apple"
- Display true aspect ratio in AI feed
- Update image size
- Update error message
- Implement load balancer json
- When swiping to AI tab, it should open AI pipeline
- Add events to differentiate maden purchases
- Choose style selection
- A/B/C test opening the app: Recent vs Collections vs Popular
- Add AI tutorial
- Block screenshots making inside the app
- IAP Refactor
- In collections, open by default "Popular" instead of "Recent"

### Fixed
- Fix collections UI
- When user gets the final image and does “Retry” he should still watch an ad
- Crash In Edit Your Prompt Screen
- Partial Red Words
- Banner stuck on animation after app resume from background - needs to be animated with X to close it
- Shadow is not shown on results screen
- Banner stuck on animation after app resume from background - needs to be animated with X to close it
- Back Button Disappears
- Create your own art using ai button is unaligned
- Fix swiping pages on home screen
- Choose style selection
- A/B/C test opening the app: Recent vs Collections vs Popular
- Add AI tutorial
- Block screenshots making inside the app
- IAP Refactor
- In collections, open by default "Popular" instead of "Recent"

## [1.1.4]

### Added
- New login flow
- Update code to Swift 5
- Update SDKs
- Allow to play background music while using the app
- Try blocking screenshots only when picture is opened on full size by free user
- Inside collection - allow transfer between "Popular" and "Recent" tab by swipes right/left
- When 4 pictures is generated, save to "Ai" tab all 4 of them
- Remove Batch
- Update Ai events logic
- Add retention events
- Remove screenshot blocking
- A/B test no text on pictures in fullscreen

### Fixed
- Fix Recent / Collections loading issue (https://app.asana.com/0/1202589585895180/1203417120332175/f)
- Fix Change image when clicking and duplicating images in the feed (https://app.asana.com/0/1202589585895180/1203408251570291/f)
- Fix Won't log in into Facebook account right away (https://app.asana.com/0/0/1203417358054926/f)
- Fix Sign up with Email makes screen get stuck (https://app.asana.com/0/0/1203417358054922/f)
- Images won't save on this device when allowing Selected Photos
- Collections Categories loading issue when scrolling
- Solve new popular crash EXC_BAD_ACCESS
- Feed Ending In Certain Cases
- Check, that notification logic don't allow to get more than 1 notification per day
- Pictures of first collections not loading
- REOPEN - When 4 pictures is generated, save to "Ai" tab all 4 of them
- On search, when switching tabs, results are lost and not shown anymore
- REOPEN - Recent / Collections loading issue

## [1.1.5]

### Added
- (A/B/C Pricing test - 2.99/week, 4.99/month, 7.99/month)[https://app.asana.com/0/1202589585895180/1203417586554499/f]
- (Change tab order in search)[https://app.asana.com/0/1202589585895180/1203434260470143/f] 
- (When transfer from search to AI - put words from search string into AI prompt string)[https://app.asana.com/0/1202589585895180/1203434260470151/f]
- (Delete AI banners from the top of categories)[https://app.asana.com/0/1202589585895180/1203434260470175/f]
- (Zoom for AI pictures)[https://app.asana.com/0/1202589585895180/1203434260470155/f]
- <https://app.asana.com/0/1202589585895180/1203434260470171/f|Update design of AI tab>
- <https://app.asana.com/0/1202589585895180/1203443822344110/f|Show arrows when request for photo access is requested>
- <https://app.asana.com/0/1202589585895180/1203443822344037/f|Update AI tutorial>
- <https://app.asana.com/0/1202589585895180/1203443822344108/f|Add Blinking animation for download button>
:new: - <https://app.asana.com/0/1202589585895180/1203447510250839/f|Change default image ratio on Walli + Upscale all images>

### Fixed
- (Texts and icons don't change color when switching light/dark mode in Settings)[https://app.asana.com/0/1202589585895180/1203437678606074/f]
- <https://app.asana.com/0/1202589585895180/1203462902628958/f|Screen size issue in generated Ai>
- Crash when tapping new Get Inspired button
- My Creations content not refreshing
- <https://app.asana.com/0/1202589585895180/1203455051299192/f|Block Bad Words also in Search>


## [1.1.6]

### Added
- <https://app.asana.com/0/1202589585895180/1203447510250839/f|Change default image ratio on Walli + Upscale all images>
- <https://app.asana.com/0/1202589585895180/1203443822344104/f|AI result screen from IMGN >

### Fixed
- <https://app.asana.com/0/1202589585895180/1203486394268678/f|Don't Let Users Add Prompt In Tutorial>
- Fixed My Creations not being saved
- Fixed no ads on create for free users
- Fixed wrong purchase screen in AI
- Fixed hidden nav bar
- Fixed pricing text in purchase screen
- Hardcoded tutorial results (raccoon)
- Fixed pricing text in purchase screen (again)
- <https://app.asana.com/0/1202589585895180/1203443822344054/f|Several issues in collection feed loading>
- <https://app.asana.com/0/1202589585895180/1203443822344112/f|Tutorial on wallpaper install - change wording>


## [1.1.7]

### Added
- <https://app.asana.com/0/1202589585895180/1203447510250839/f|Change default image ratio on Walli + Upscale all images>
- <https://app.asana.com/0/1202589585895180/1203491449198770/f|A/B show dark theme always>
- <https://app.asana.com/0/1202589585895180/1203508494577987/f|change connection lost error message>
- <https://app.asana.com/0/1202589585895180/1203521562428142/f|Hardcode 1st place in categories>


### Fixed
- <https://app.asana.com/0/1202589585895180/1203486395257106/f|Missing Event : When Saving Ai Generated Art>
- <https://app.asana.com/0/1202589585895180/1203455051299188/f|App Crash when moving between feed and My Profile>
- <https://app.asana.com/0/1202589585895180/1203455051299184/f|UI issue in My Profile Light Mode>
- Fix top crashes
- <https://app.asana.com/0/1202589585895180/1203508494577983/f|Feed Doesn't Load When Disconnecting And Reconnecting To Network>
- <https://app.asana.com/0/1202589585895180/1203486395257106/f|Missing Event : When Saving Ai Generated Art>
- <https://app.asana.com/0/1202589585895180/1203514604470672/f|Feed should not have ending>
- <https://app.asana.com/0/1202589585895180/1203532612432113/f|Fix navigation from search to AI generator>
- <https://app.asana.com/0/1202589585895180/1203531028546167/f|Fix wrong pricing in initial purchase screen>
- <https://app.asana.com/0/1202589585895180/1203528292928242/f|Show the the name of IOS 16 category in the center, as done in categories>
- <https://app.asana.com/0/1202589585895180/1203528502859551/f|Freeze Going Into Ai Screen First Time From Search>
- <https://app.asana.com/0/1202589585895180/1203528292928255/f|Update IAP screens in AI pipeline>
- <https://app.asana.com/0/1202589585895180/1203528292928238/f|Change logic of down button "Generate more">

## [1.2.0 (formerly 1.1.8 + 1.1.9)]

### Added
- <https://app.asana.com/0/1202589585895180/1203528292928190/f|Add event second_image_downloaded>
- <https://app.asana.com/0/1202589585895180/1203528291359218/f|A/B Add collections to search>
- <https://app.asana.com/0/1202589585895180/1203528292928189/f|A/B/C/D Tab order>
- <https://app.asana.com/0/1202589585895180/1203545794146462/f|Show standard "saved in gallery" after close of tutorial>
- <https://app.asana.com/0/1202589585895180/1203545794146469/f|For no text version delete also blur at the bottom of photo>
- Update Lottie to 4.0.1 (was 3.5.0)
- <https://app.asana.com/0/1202589585895180/1203552359320244/f|A/B test - which tab to show on 2+ App open>
- <https://app.asana.com/0/1202589585895180/1203528292928210/f|Add swipe back gesture to exit picture view>
- <https://app.asana.com/0/1202589585895180/1203552359320245/f|Search - add opportunity to go back by swipe>
- <https://app.asana.com/0/1202589585895180/1203552158644048/f|Remove 'Watch ad' icon for Premium users>
- <https://app.asana.com/0/1202589585895180/1203545794146458/f|A/B: show in popular popular, VS show there "featured">
:new: - <https://app.asana.com/0/1202589585895180/1203574796615072/f|A/B Upselling screen>
:new: - <https://app.asana.com/0/1202589585895180/1203577983627465/f|Remove tutorial if user taps on ai thru search.>
:new: - <https://app.asana.com/0/1202589585895180/1203592747995711/f|Ai Tutorial without net connection>


### Fixed
- <https://app.asana.com/0/1202589585895180/1203528292928200/f|Check logic of event "viewed artwork">
- <https://app.asana.com/0/1202589585895180/1203573197724831/f|Fix data race in launch screen>
- <https://app.asana.com/0/1202589585895180/1203552373361714/f|Solve 2 most popular crashes of 1.1.7.>
- <https://app.asana.com/0/1202589585895180/1203574796615076/f|Ai: random prompts on tap on lamp should be taken from remote config ai_suggested_prompts (field prompts), not from ai_inspired_prompts>
- <https://app.asana.com/0/1202589585895180/1203532612432113/f|REOPEN - Wrong pricing in First Purchase screen>
- <https://app.asana.com/0/1202589585895180/1203577983627469/f|Network Error in Ai tutorial>
- <https://app.asana.com/0/1202589585895180/1203577967763303/f|Block option for a user to spam +Generate More>
- <https://app.asana.com/0/1202589585895180/1203508494577987/f|REOPEN - change connection lost error message>
- Add fade in label in initial screen if loading takes more than 10 seconds
:new: - <https://app.asana.com/0/1202589585895180/1203578544304893/f|Generate only 2 images by default>
:new: - <https://app.asana.com/0/1202589585895180/1203590835256002/f|First-generation and first "generate more" should be ad-free> 
:new: - Fix navigating between tabs

## [1.2.1]

### Added
- <https://app.asana.com/0/1202589585895180/1203601299810762/f|Add event "first_iap_screen_closed">
- <https://app.asana.com/0/1202589585895180/1203601301837823/f|add events for "discount screen">
- <https://app.asana.com/0/1202589585895180/1203601299810780/f|Update "share" method>
- <https://app.asana.com/0/1202589585895180/1203601301837807/f|Delete down-picture blur in a feed view>
- <https://app.asana.com/0/1202589585895180/1203611187983899/f|Add crown on top of screen as in imgn>
- <https://app.asana.com/0/1202589585895180/1203601299810772/f|Show IAP on first launch every day>
- <https://app.asana.com/0/1202589585895180/1203601301837825/f|Make version with sending events "artwork_shown" from US, Israel and Vietnam>
- <https://app.asana.com/0/1202589585895180/1203613233557694/f|Hardcode walli.monthly.8.trial.26_12_22>
- <https://app.asana.com/0/1202589585895180/1203620656579428/f|Hardcode Black Theme for everyone>
- Update <https://developers.google.com/admob/ios/ios14#skadnetwork|SKAdNetworkItems>
- Upgraded to Alamofire 5
- <https://app.asana.com/0/1202589585895180/1203621073804760/f|update emoji on discount screen according to design >
- <https://app.asana.com/0/1202589585895180/1203621073804764/f|Update AI endpoint>
:new: - <https://app.asana.com/0/1202589585895180/1203613235022168/f|A/B test - new welcome screens and IAP screen>

### Fixed
- <https://app.asana.com/0/1202589585895180/1203592186364611/f|Validate successful opening of all push notifications>
- <https://app.asana.com/0/1202589585895180/1203592747995709/f|Denying Gallery access in Ai result issue>
- <https://app.asana.com/0/1202589585895180/1203601299810758/f|Replace shanga.co in every place in the app>
- <https://app.asana.com/0/1202589585895180/1203592747995715/f|text box UI issue in Ai tab>
- Fix Lottie crash
- Attempt to fix <https://console.firebase.google.com/project/walli-c92cf/crashlytics/app/ios:com.stanga.projectKu/issues/31b6e2b7cdff5a77e330dd8faf440d28|crash> and add crashlytics log
- <https://app.asana.com/0/1202589585895180/1203615769567021/f|Text in Result box slides and cuts off screen>
- Fix crashes
- <https://app.asana.com/0/1202589585895180/1203621007829421/f|Not getting purchase screen From 3rd day>
- <https://app.asana.com/0/1202589585895180/1203621007829427/fResults|in Ai tutorial are duplicated In My creations Tab>
:new: - <https://app.asana.com/0/1202589585895180/1203621073804774/f|Fix the ads logic>

## [1.3.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203613233557688/f|Open login screen on tap to "notifications">
- <https://app.asana.com/0/1202589585895180/1203613233557692/f|Add artist blinking after like/download>
- Remove SimpleLogger in favor of native OSLog

### Fixed
- <https://app.asana.com/0/1202589585895180/1203621007829431/f|Like Button in feed won't always work>
- <https://app.asana.com/0/1202589585895180/1203622317200298/f|Special Offer screen design mismatch>
- <https://app.asana.com/0/1202589585895180/1203615769567025/f|Logging out as a Premium user still shows IAP>
- Replace non-AI IAP screens for A/B test variant A.
- <https://app.asana.com/0/1202589585895180/1203612509771298/f|Add a message when time & date are not updated>
- <https://app.asana.com/0/1202589585895180/1203634263158252/f|Welcome Animation freezes when minimizing Walli app>
- <https://app.asana.com/0/1202589585895180/1203634263158258/f|Welcome Screen Animations Minor UI issues>
- <https://app.asana.com/0/1202589585895180/1203622317200298/f|Special Offer screen design mismatch>

## [1.3.1]

### Added

### Fixed
- Fixed IAP screen showing on every launch
- <https://app.asana.com/0/1202589585895180/1203660964094177/f|Hotfix 1.3.1 - Update IAP Purchase Screen> 
- Fix top 3 1.21 crashes from firebase
- Delete all artifacts of secret artworks

## [1.4.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203528292928218/f|Make hardcoded IOS 16 looks more like a real category>
- <https://app.asana.com/0/1202589585895180/1203653733072227/f|Delete all artifacts of secret artworks>
- <https://app.asana.com/0/1202589585895180/1203632162025743/f|Add ADs showing - Fixed>
- <https://app.asana.com/0/1202589585895180/1203621073804772/f|Delete all artifacts of white theme in the app>
- <https://app.asana.com/0/1202589585895180/1203632160573629/f|Change "Ios 16" category picture>
:new: - <https://app.asana.com/0/1202589585895180/1203632162025743/f|Add ADs showing - add remote config params>

### Fixed
- <https://app.asana.com/0/1202589585895180/1203646526430153/f|Remove Crown icon in Ai if user is a premium>
:new: - <https://app.asana.com/0/1202589585895180/1203646526430149/f|Blank Space when there are only 2 generated Ai images>

## [1.5.0]

### Added
- A/B Test don't show seen wallpapers again
- <https://app.asana.com/0/1202589585895180/1203701097013050/f|Show in the "popular" tab content from "popular" request after "featured" content finishes>
- <https://app.asana.com/0/1202589585895180/1203701088601942/f|Change artwork_shown logic>
- <https://app.asana.com/0/1202589585895180/1203747601855818/f|IAP screens A/B test>

### Fixed
- <https://app.asana.com/0/1202589585895180/1203747601855790/f|If ad is shown on download, after ad show "download complete" icon>
- <https://app.asana.com/0/1202589585895180/1203747601855800/f|Fix payment complete analytics events>
- <https://app.asana.com/0/1202589585895180/1203795591631802/f|Iap after install don't have price>
- Small UI fixes in IAP screens

## [1.6.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203711706024863/f|Update Firebase SDK to 10.4.0>
- <https://app.asana.com/0/1202589585895180/1203747601855794/f|Make moment of "rate us" remotely configurable>
- <https://app.asana.com/0/1202589585895180/1203711706024859/f|A/b pricing test>
- <https://app.asana.com/0/1202589585895180/1203186184153315/f|Ask "rate us" only users who are currently premium (including trial)>
- <https://app.asana.com/0/1202589585895180/1203850897309550/f|New process with (Show rewarded ad) for each download from all artists expect listed>
- <https://app.asana.com/0/1202589585895180/1203634267822413/f|Notification Flow update>
- <https://app.asana.com/0/1202589585895180/1203850898641306/f|Marketing identifier request pipeline + A/B>
- <https://app.asana.com/0/1202589585895180/1203850898641301/f|Add Admob small banners for non premium users>
- Add AdMob Mediation Pods (AppLovin, IronSource, Unity, Vungle)
- <https://app.asana.com/0/1202589585895180/1203669596342955/f|Hardcode tab order ["ai", "collections", "popular", "recent"]>
- <https://app.asana.com/0/1202589585895180/1203621073804768/f|Hardcode featured+popular(current state)>


### Fixed
- <https://app.asana.com/0/1202589585895180/1203795591631811/f|Send feedback and report problem - make mail>
- <https://app.asana.com/0/1202589585895180/1203634267822413/f|Notification Flow and placement issues>
- <https://app.asana.com/0/1202589585895180/1203819370530008/f|recent feed finishes>
- <https://app.asana.com/0/1202589585895180/1203819369725930/f|Artists on pictures don't shown as followed>
- <https://app.asana.com/0/1202589585895180/1203899242917702/f|Notification screen crashing after some time>
- <https://app.asana.com/0/1202589585895180/1203899242917707/f|Artist page not found when tapping of artist's profile thru Notifications>

## [1.7.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203850898641314/f|iPad version - restore choosing picture format for iPads>
- <https://app.asana.com/0/1202589585895180/1203899272067360/f|Add Admob app open banners for non-premium users>
- <https://app.asana.com/0/1202589585895180/1203918635375235/f|Ipad - show on the categories screen 3 categories in-a-row instead of 2>
- <https://app.asana.com/0/1202589585895180/1203899272067366/f|Welcome screens experiment>
- <https://app.asana.com/0/1202589585895180/1203619990836861/f|Upgrade Facebook SDK to latest version>
- Modify App Open to not appear on first session and added a minimum 10 seconds interval between consecutive App Open ads.
- <https://app.asana.com/0/1202589585895180/1203936022811118/f|Hard code IAPs>
- <https://app.asana.com/0/1202589585895180/1203936018384959/f|A/B test: lock part of wallpapers>
- <https://app.asana.com/0/1202589585895180/1203952704079753/f|Turn Off firebase for China>
- <https://app.asana.com/0/1202589585895180/1203918635375238/f|Add US users data to mixpanel and amplitude>

### Fixed
- <https://app.asana.com/0/1202589585895180/1203918635375223/f|iPad Non-detailed feed aspect ratio - make as on iPhones>
- <https://app.asana.com/0/1202589585895180/1203634267822413/f|Notification Flow update>
- <https://app.asana.com/0/1202589585895180/1203819369725925/f|Fix my liked pictures>
- <https://app.asana.com/0/1202589585895180/1203701088601934/f|Hardcode animated welcome screen = false>
- <https://app.asana.com/0/1202589585895180/1203671773166627/f|Hardcode (no change) for Walli IOS: Experiment with 'show_collections_in_search'>
- Fixed wrong SKU for A/B test baseline - **Undo**
- <https://app.asana.com/0/1202589585895180/1203899273722023/f|[1.5.0] Long text error>
- <https://app.asana.com/0/1202589585895180/1203965065758685/f|Change support artist sheet to show reward ad>
- <https://app.asana.com/0/1202589585895180/1203936018384959/f|[reopen] A/B test: lock part of wallpapers>
- <https://app.asana.com/0/1202589585895180/1203936022811118/f|[reopen] Hard code IAPs>
- <https://app.asana.com/0/1202589585895180/1203899272067366/f|[reopen] Welcome screens experiment>

## [1.7.1]

### Fixed
- <https://app.asana.com/0/1202589585895180/1203983228242459/f|My profile is crashing>

## [1.7.2]

### Fixed
- Fixed analytics for <https://app.asana.com/0/1202589585895180/1203850897309550/f|New process with (Show rewarded ad) for each download from all artists expect listed>  
:new: - <https://app.asana.com/0/1202589585895180/1203999991784803/f|Depth effect category getting not depth effect pictures from the store>
:new: - Remove Wormholy Pod


## [1.7.3]

### Added
- Modify marking of artworks as "Seen" to be more aggressive
- Add tagging artworks as seen in `Search` and `Artist Profile` screens 
- <https://app.asana.com/0/1202589585895180/1203983228242475/f|Image_downloaded - add params (id, artist..) from the download_button event>
- <https://app.asana.com/0/1202589585895180/1204029476981340/f|A/B use new sorting for popular and category popular>
- <https://app.asana.com/0/1202589585895180/1204029476981344/f|Welcome screen experiment>
- <https://app.asana.com/0/1202589585895180/1204059856479352/f|Add "Id" param for payment_complete_inner>
- <https://app.asana.com/0/1202589585895180/1203999991784818/f|Disable screen auto-lock>
- <https://app.asana.com/0/1202589585895180/1204065055170388/f|add ads_watched_rewarded event>

### Fixed
- <https://app.asana.com/0/1202589585895180/1204064023680922/f|New sorting, no hide - feed get problem on scrolling>

## [1.8.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203772994556570/f|Category feed finish logic>
- <https://app.asana.com/0/1202589585895180/1204065403262907/f|A/B test view monetization approach - purchase directly from wallpaper screen>
- Change artwork_download_classification_strategy default to `1`
- <https://app.asana.com/0/1202589585895180/1204112885043778/f|hide_previously_seen_wallpapers - apply only to recent>
- <https://app.asana.com/0/1202589585895180/1204112885043788/f|"artwork_shown" and "hide previous seen wallpapper" logic - when user just came to the tab, first 4 images should be sended as shown. >
- <https://app.asana.com/0/1202589585895180/1204112885669698/f|For test "hide previously seen" send configuration event to appmetrica>

### Fixed
- <https://app.asana.com/0/1202589585895180/1203798712027639/f|Purchase screens price almost cuts off>
- <https://app.asana.com/0/1202589585895180/1204074254500920/f|add intro_screen_shown event to new welcome screens.>
- <https://app.asana.com/0/1202589585895180/1203826054502589/f|Loader stuck in Artist's profile feed - remove loader>
- <https://app.asana.com/0/1202589585895180/1203850869069350/f|Changing text size in accessibility should not impact Walli>
- <https://app.asana.com/0/1202589585895180/1204004071977592/f|Notification flow not accurate>
- <https://app.asana.com/0/1202589585895180/1204112885043783/f|test build - couldn't open "network" tab>
- <https://app.asana.com/0/1202589585895180/1204112885669684/f|Solve crash from link>
- <https://app.asana.com/0/1202589585895180/1204126227449339/f|Wallpaper preview in Notifications screen should look the same as preview in feed>
- <https://app.asana.com/0/1202589585895180/1204112885669703/f|Fixes of new monetization test>
- <https://app.asana.com/0/1202589585895180/1204134459264463/f|REOPEN: Native Purchase appears with a delay>
- <https://app.asana.com/0/1202589585895180/1203965688237727/f|REOPEN: On boarding screens text too close to the Edge + check all element according to full screen design attached>
- <https://app.asana.com/0/1202589585895180/1204112885669732/f|2 images scrolled by 1 tap>
- <https://app.asana.com/0/1202589585895180/1204126227449344/f|Loading issue scrolling thru artist's inner feed>

## [1.9.0]

### Added
- <https://app.asana.com/0/1202589585895180/1203747601855810/f|A/B Feed personalization logic (not accessible via UI yet)>
- <https://app.asana.com/0/1202589585895180/1204209963898294/f|Ai Changes>
- <https://app.asana.com/0/1202589585895180/1204179344142146/f|Show scrolling tutorial for new user only after 2 sec of viewing of the wallpaper. If user made a scroll before tutorial - do not show it.>
- <https://app.asana.com/0/1202589585895180/1204179344142143/f|Not sending artwork_shown to mixpannel>
- <https://app.asana.com/0/1202589585895180/1204193840427441/f|Change popular feed to always use down_prob sort and to no longer fetch featured>
- <https://app.asana.com/0/1202589585895180/1204209963898310/f|Show "Wallpapper saved" Before showing wallpaper install tutorial>
- <https://app.asana.com/0/1202589585895180/1204159288282988/f|A/B test new yearly purchase screens>

### Fixed

- <https://app.asana.com/0/1202589585895180/1204209963898305/f|Hide Status bar on IAP's screen>
- <https://app.asana.com/0/1202589585895180/1204193840427445/f|Change how "share" work for not premium users>
- <https://app.asana.com/0/1202589585895180/1204236249374401/f|Search and Artist feed should have small premium and ad Icons on thumbnails>
- <https://app.asana.com/0/1202589585895180/1203826054502584/f|Free usage limit pop up slides off borders>
- <https://app.asana.com/0/1202589585895180/1204265457665493/f|New First Purchase screen crashes app>
- <https://app.asana.com/0/1202589585895180/1204265621227376/f|New welcome IAP - should a distance from title to moving Icons (same a distance from icons to trial toggle)>
- <https://app.asana.com/0/1202589585895180/1204265621227371/f|New ai tutorial - when style typed, it should be chosen (now anime style is not chosen when taped in tutorial)>
- <https://app.asana.com/0/1202589585895180/1204209963898300/f|Not working button when trying to tap "download" directly after transition>
- <https://app.asana.com/0/1202589585895180/1204265621227381/f|Tutorial shouldn't be shown when new IAP "continue" is displayed. Hide scrolling tutorial together with like/download buttons>
- <https://app.asana.com/0/1202589585895180/1204268629837284/f|Incorrect price in the new IAP screen>
- <https://app.asana.com/0/1202589585895180/1204265621227388/f|wrong cross placing>
- <https://app.asana.com/0/1202589585895180/1204265621241329/f|Welcome IAP version - 2 fixes>
- <https://app.asana.com/0/1202589585895180/1204287590989832/f|Crash when tapping On Premium button thru Hamburger menu>
- <https://app.asana.com/0/1202589585895180/1204265621241338/f|Version with new IAP - Button on onboarding screens should be the same position and form as on welcome IAP>
- <https://app.asana.com/0/1202589585895180/1204268629837289/f|Images not moving in the first IAP screen (REOPEN)>

### [1.10.0]
### Added
- iAP screen updates
- A/B/C/D experiment: only popular feed/feed with personalisation
- Personalisation logic
- Change splash screen animation 
- Turn on progressive load for artwork thumbnails
- <https://app.asana.com/0/1202589585895180/1204309392142586/f|Enter feed animate like Pinterest>
- <https://app.asana.com/0/1202589585895180/1204236249374415/f|Rating request for non-premium users>

### Fixed
- Change the sort order from "recent" to "popular" from categories on the personalized feed   
- categories finishing far before it's pictures is finished 
- choosing category and feed issues
- feed pictures reordering
- **Reopen iAP screen updates
- [P1.5] [iPhone 11] [iOS 15.6] [1.10.0(8)D]-Feed crush and long loading time
- REOPEN - [1.10.0 (9)D] [P1] [iphone 14] [ios 16] [1.10.0(8)D] pictures reordering in category feeds
- v1.10.0 stable version
- [P1][iPhone 12 mini][iOS 15.5][1.10.0(8)D]-Missing 3 line menu button 
- [1.10.0 (8)] feed still not adapted to show pictures of artist with the most downloads
- REOPEN - [1.10.0(4)T]Feed (variant D): artists from whom downloads were done are not presented in the feed. 
- REOPEN - [P1] [iphone 13] [ios 16] [1.10.0(8)D] - Cannot load feed with logged user
-  [P1] [iphone 14] [ios 16] [1.10.0(8)D] pictures reordering in category feeds
- Feed (variant D): chosen categories are not presented in the feed 
- Feed (variant D): artists from whom downloads were done are not presented in the feed. 
- [Iphone 14 last IOS] [1.10.0 (7)][feed variant D] - big picture vue issues
- **Reopen[1.10.0(5)D][P1][iPhone 13] [iOS 16.0] [1.10.0(3)]-Option bar disappears 
- Call Google Ad Manager (using the Admob SDK) twice when loading an ad interstitial format
- Dont show blured "recent/popular" for hardcoded "depth effect" category - just have pictures under the name
- Too long splash screen loading when not first launch- go from artist tab - some pictures do not have opportunity to be downloaded
- Upper screen cut off
- [P1][iPhone 13] [iOS 16.0] [1.10.0(3)]-Option bar disappears 
- Pricing experiment: restart because of bag
- [P2] [iphone 7] [ios 15.7.3] [1.9.0 Appstore] Feed have not two rows
- [P2] [iphone 7] [ios 15.7.3] [1.9.0 Appstore] [Russian appstore account] IAP screen text should be always shown
- Fix categories layout when no artworks are showing
- REOPEN - Enter feed animate like Pinterest
- Artwork shown sending fix
- [1.10.0(1)D]Check logic of sending event "Artwork_shown" from popular feed
- <https://app.asana.com/0/1202589585895180/1204297046165422/f|Inner feed issues in collections>
- <https://app.asana.com/0/1202589585895180/1204210250154719/f|Tutorial image cut off>
- <https://app.asana.com/0/1202589585895180/1204290352424296/f|Check logic of sending event "Artwork_shown" from popular feed>
- <https://app.asana.com/0/1202589585895180/1204290346985303/f|Popular feed pictures order changes on relaunch>
- <https://app.asana.com/0/1202589585895180/1204209963898324/f|"AI" category  - why pictures in popular is different every enter>

### [1.11.0]
### Added
- New pricing test 
- Remove the glitch animate on categories on feed when first time enter feed
- Exclude current feed with categories
- [P3] [iphone 13] [ios 16] [1.9.0(2)D] - Add border to Inspire Me button
- More updates for new onboarding screens
- Continue/Let's go button  on onboarding screens should be on the same place, as on welcome IAP 
- Remove animation from unloaded wallpapers thumbnails 
- Remove Loader from feed when there's no network
- Preloading logic
- New onboarding screens a/b
- Update minimum supported iOS version to 15.5
- Check that listed configs hardcoded
- A/B test: lower number of premium locked wallpaper

### Fixed
- [P0] Transition to iAP with long black screen after daily
- Glitched loader if scrolling fast thru main feed
- [iphone 14] [p1] - new onboarding assymetric on iphone 14
- [1.11.07 (d)] old IAP seen on new verrsion
- REOPEN - [1.11.0(7)D] [P2.5] [iphone 8 plus] [ios 16.3.1] [1.10.0(9)D] - On this device tabs glitches when opening app
- REOPEN [1.11.0(5)D] Remove animation from unloaded wallpapers thumbnails 
- [P2] [iphone 12 mini] [ios 15.5] [1.11.0(3)D] - Error messages UI issues
- [P3] [iPhone 12 mini] [IOS 15.5] [1.10.0(1)]-Cant scroll to the artists tab
- [1.8.0] Pictures still changes it's positions when loading in the category scrolling
- [P2.5] [iphone 8 plus] [ios 16.3.1] [1.10.0(9)D] - On this device tabs glitches when opening app
- [P3] [iphone 12 mini] [ios 15.5] [1.11.0(3)D] - In notifications Profile picture circles cuts off in Small screens
- Feed issues
- IAP screen cut off
- Scrolling thru collections loading issue
- Feed jumps when scrolling closer to the bottom of depth effect category
- Recent and Popular feed are not loading at all
- Slide show in Feed
- Main Feed wallpaper placement issues 
- Main Feed won't load at all
- Preloading logic
- New onboarding screen issues
- Don’t show following artists
- Notifications timing not consistent 
- New onboarding screen issues
- Bad internet issues 
- Feed jumps when scrolling closer to the bottom of depth effect category
- Crashes in iPhone 8
- X Placed too low on small screen devices 
- Sharing the currentIndex between personalized feed and full screen.
- Picture changing on scrolling in big view

### [1.12.0]
### Added
- Screen of categories choice - increase indicator of choice(V) size 
- add "search_opened" event
- Artist icon shouldn't blink after like - only after first download 
- Categories title is missing in French
- a/b Hiding seen wps logic for categories
- hide wallpapers is not working in "for you" 
- Category_tap - as a parametr category_name, always send english name of the category
- First tap on picture in artist profile from artist search do not have like/download button 
- Delete bottom banner logic.
- Add event's "Notifications_allowed" and "Notifications_not_allowed" 
- Add remote_config_enable  - similarly to Tapscanner 
- New "Feed type" experiment
- Rename "Feed" to "For you" 
- New "Feed type" experiment
- Solve most popular crash
- Experiment with more blur for from WP selling button 

### Fixed
- Collections do not loading at all 
- Categories - make pre-downloading logic similar to wallpapers 
- Pictures in "new" not loading after loging into account 
- Check that we are using http://walli.quosmos.com/ (not http://account.walliapp.dev.com/) in our requests 
- solve top 4 popular crashes 
- Screen of categories choice - increase indicator of choice(V) size 
- reopen- [1.11.0(5)D] [P2] [iphone 8 plus] [ios 16.3.1] [1.9.0(3)TF] - Scrolling thru collections loading issue
- Hiding previusly seen wallpapers is broken for recents 
- Remove Interstitial ads on tap on like
- Ads triggered when tapping on Like icon
- Banner disappear on like
- Back Button in Artist's profile
- Update AD Manger requests 
- Delay in first IAP screen 

### [1.12.1]
### Added
- Rename "My profile" in burger menu to "Favorites"  and change it icon 
- gesture "Update" logic 

### Fixed
- feed still not adapted to show pictures of artist with the most downloads
- Recent won't load at all after logging out from a user
- Wallpapers in Artist's profile won't load after 10 first
- Side Features inside a wallpaper still disappears in Notifications
- Categories still have not all pictures even after updating limit to 24
- Feed (variant D): artists from whom downloads were done are not presented in the feed. 
- iPad - by default checkbox shouldn't be choosen
- Wallpapers in Artist's profile won't load after 10 first
- Side Features inside a wallpaper still disappears in Notifications

### [1.13.0]
### Added
- [1.13.0(4)TF] - Enable user to swipe Back From left side in Discover More main screen
- Make ADmanager tag requests remotely configurable 
- Open pictures from "expand your collection" to the full screen (classic fullscreen zoomed picture view)
- "discover more" and "more like this" variants - remove artist profile blinking
- Remove facebook Login entirely
- "Expand Your Collection" suggestion after download
- Zoomed feed in "expand your collection" not scrolling
- Add Tag fetch logic on "Expand Your Collection" suggestion after download
- Hardcode onboard_screen_flavor = variantA
- Alpha for previewing animate and flow of "Expand Your Collection" suggestion after download with the save button is an entry point.
- Downloading animate indicator
- Shake device shouldn't open events on the release versions
- Connect AppMetrica push SDK 
- Delete all app_open ads logic
- Coming back from artist profile and category by swipe 
- Add events for categories selection (onboarding process)

### Fixed
:new: - Reopen[1.13.0(14)D][P1][iPhone 13][iOS 16][1.13.0(6)TF)-Images not reloading
:new: - [P2] [1.13.0 (7) TestFlight] [Iphone 14]-Thumbnails are too much zoomed in expand you 
- Thumbnails are too much zoomed in expand you 
- Reopen[1.13.0(16)D][P1][iPhone 13][iOS 16][1.13.0(6)TF)-Failed to download error
- Reopen[1.13.0(16)D][P1] [iphone 13] [ios 16] [1.13.0(7)TF] - Inner feed in Artist's profile stops loading after few scrolls
- [P3][iPhone 12 mini][iOS 15.5][1.13.0(7)TF]-Small icons
- [P2.5][iPhone 12 mini][iOS 15.5][1.13.0(7)TF]-Color animation 
- [P1][iPhone 13][iOS 16][1.13.0(6)TF)-Failed to download error
- [P1] [iphone 13] [ios 16] [1.13.0(7)TF] - Inner feed in Artist's profile stops loading after few scrolls
- [P1] [iphone 13] [ios 16] [1.13.0(7)TF] - Crash when Sliding Feed for a reload after scrolling
- [P2.5][iPhone 13][iOS 16][1.13.0(15)D]-iPhone status bar is visible 
- [P1][iPhone 13][iOS 16][1.13.0(6)TF)]-App freezes in discover more tab
- [P1][iPhone 13][iOS 16][1.13.0(6)TF)-Images not reloading
- [P2][iPhone 13][iOS 16][1.13.0(6)TF)-Cut off menu/Cannot tap on the back button
- [P1.5] [iphone XR] [ios 16.3.1] [1.13.0(4)TF] - Disable Double tap on Download button
- [P2] [iphone 14] [ios 16] [1.13.0(4)TF] - Transition to artist profile from Discover More screen is not smooth
- [P1] [iphone 14] [ios 16] [1.13.0(4)TF] - When pulling up the Discover More screen the tittle and back arrow cuts off
- [P1] [iphone 12 mini] [ios 15.5] [1.13.0(4)TF] - Scrolling in Discover more inner wallpapers issue
- feed_flavor_v2 should be in remote_config_enable
- [P2.5][iPhone 12 mini][iOS 15.5][1.11.0(2)TF]-Long time to personalize the categories 
- [P2.5][iPhone 8 plus][16.4.1][1.11.0(2)TF]-New boarding screen issue 
- [P2.5][iPhone 13][16.00][1.11.0(2)TF]- Cut images in the new boarding screen
- [P2] [iPhone 13] [iOS 16.0] [1.13.0(1)TF]-Images not loading 
- [P1.5] [iPhone 13] [iOS 16.0] [1.13.0(6)D]-Double screen
- "Discover more" transition issues
- [P1.5] [iPhone 13] [iOS 16.0] [1.13.0(6)D]-Images cut off by scrolling 
- Artist profile opened from "expand collection" looks weird - open them on full screen 
- [P2] [iPhone 13] [iOS 16.0] [1.13.0(6)D]-Upper screen cut off
-  Same wallpaper suggested in Expand collection screen
- [P1.5] [iphone 8 plus] [ios 16.4.1] [1.13.0(4)D]-Won't load all Artist inner wallpapers after scrolling for a while
- [P1] [iPhone 13] [iOS 16.0] [1.13.0(6)D]-Ad not showing up
- [P1.5] [iphone 8 plus] [ios 16.4.1] [1.13.0(6)D]- Downloading a suggested wallpaper should not pop up any message
- "update" gesture do not really hiding seen wallpapers

### [1.14.0]
### Added
:new: - [A/B navigation redesign 
- [1.13.0(13)]Make ADmanager tag requests remotely configurable - add json configure with low/high AD
- [1.13.0(9)D]"Expand Your Collection" suggestion after download - add more like this

### Fixed
:new: - [P3][iPhone 13][iOS 16][1.13.0(8)TF)]-Ui issue in favorites
- [P3][iPhone 13][iOS 16][1.13.0(8)TF)-Missing artist name 
- [P3][iPhone 14 pro max ][iOS 16][1.13.0(8)TF)-UI issue
- [P3][iPhone 14 pro max ][iOS 16][1.13.0(8)TF)-UI issues in discover more tab
- Reopen[1.13.0(12)][P2.5][iPhone 8 plus][16.4.1][1.11.0(2)TF]-New boarding screen issue 


### [1.15.0]
### Added
- 3 screens lack of botton menu
- A/B New pricing and trial length test 
- A/B show the full quality pictures for users who use wi-fi 
- A/B slow transactions for onboarding screens 

### Fixed
:new: - [Critical] when entry to home screen from remote configure active function may be crashes App
:new: - Revert "bugfix response parser keys sync with server"
:new: - No Bottom menu if user Taps on Search thru collections
:new: - No screen ratio changing feature in Ai
- New navigation menu does not works
- Tapping Like button issues 
- [Reopen] App freezes
- Walli iOS App Response Header Parser Synchronise with Server
- bottom menu appears in discover more tab 
- Check that time of the splash screen showing is used to pre-download wallpapers 
- [P1] [iPhone 13] [iOS 16] [1.14.0(2)D]-App freezes
- duplicate artworks in profile's Full Screen mode
- mono-color screen when opening picture
- only 1 picture is shown for "discover_more" 
- with bad internet again zoomed in thumbnails
- Issues with specific artist
- Not loading images
- Solve top crash 
- botton menu is not attached to botton
- Blinking Walli logo on header when switching between tabs
- Animation issue
- Add the option to  Navigate by Sliding between tabs
- Search tab issues
- Allow Notification Message only when there's no wifi
- Cut off feed
- Home icon looks very pixely 
- On boarding screens cuts off
- Still cannot see Ads!
- Creations images are not tapeable 
- Missing artist icons
- Duplicate images
- Crash issue on firebase 
- X button too high position in Sign in screen thru profile/setting
- Back button disappears after sliding to Artist's Bio
- Profile picture not loading right away inside a wallpaper thru Notifications screen
- Cut off feed
- UI issue 
- Change the text in favorites tab
- Missing profile image
- Missing favorites text
- Can’t sign in from settings
- Don’t show ads
- Unneeded tabs in Ai category 
- Keyboard opening automatically 

### [1.16.0]
### Added
- specify an LSMinimumSystemVersion value of 13.0
- A/B experiment: tab on first open
- Design fixes
- A/B test straight-to-download

### Fixed
- Issues after a ad
- can’t unlike images
- Delay in updating user's preferences when log in/out
- Artist name should always be displayed inside artist's profile
- can’t unlike images at Favorites screen

### [1.17.0]
### Added
- Add new option for number_of_premium_locked
- animation when coming back to feed from detailed picture view - use reverse from new animation on picture open
- Update contact us form
- Save remote config from previous version in case it taken not successfully 
- Scrolling tutorial changes 
- Change photo request acess type to less frightening user
- hide_wallpapers_inside_categories - hardcode hide
- Remove HardCoded "Depth Effect" category 

### Fixed
:new: - Images appears in a zoom in view/out of context
:new: - Saves in gallery the same wallpaper twice in discovery more screen
- Loading downloaded and liked wallpapers issue
- still not picture shown when zooming it
- Reopen Saves in gallery the same wallpaper twice
- Saves in gallery the same wallpaper twice
- Crash in contact us
- Straight to download only in Collections with new navigation menu
- [P1][iPad air 5][iOS 16][1.16.0(2)TF]-Crash in AI tab
- Solve top2 crashes 
- [P1] [iphone 14] [ios 16] [1.17.0(1)D] - Straight to download only in Collections with new navigation menu
- can’t unlike images

### [1.18.0]
### Added
- update configuration CI/CD to M2 Build machine
- Enhance Fade in animate on Control's view on Full Screen Smoothly

### Fixed
:new: - For you stopped working with category picking 
- Hardcode wifi_show_full_quality = full_quality
- Categories should be preloaded while user is going thru onboarding
- Header Bar disappeared when swipe back to home screen
- Save user's select in category screen in a case they close app
- Event remote_config_enable is broken 
- Control's on full screen disappear on other of full screens
- Download from artist logic won't work if user Skipped category selecting 
- blinking artist profile before picture was actually downloaded 
- blinking when going back to field
- still black blink when trying to open wallpaper 
- Not sending Notifications permission
- For you stopped working with category picking 
- Artist name instead of back
- Wallpapers main feed And collections tab blinking
- issues on transition to open the wallpaper
- Solve new crash of 1.17.0
- Small Zoom in old wallpapers


### [1.19.0]
### Added
:new: - New value for "first_tab_for_you" remote config 
:new: - Implement new pre-fetching logic  according to UICollectionView in iOS 10
:new: - Sent "purchase_s2s" also to AppMetrica (this is on server side)
:new: - Mixpannel: we still recieving "empty string" for "remote_config_enable" of new users, while all of them should be in experiment
- Zoom out to big feed by zooming out gesture 
- Save user's select in category screen in a case they close app

### Fixed
:new: - Zoom out to big feed by zooming out gesture (for only zoom out gesture)
:new: - REOPEN  issues on transition to open the wallpaper
:new: - REOPEN still black blink when trying to open wallpaper 
:new: - While transform to categories screen should not blink
- Zoom out to big feed by zooming out gesture remove the animate, and apply only back button logic
- More Like This screen zooms out the original inner wallpaper 
- still black blink when trying to open wallpaper 
- still blinks on wallpaper open and close 
- Categories should be preloaded while user is going thru onboarding
- Last categories are not loading when passing fast onboarding
- Artist name instead of back

### [1.20.0]
### Added
:new: - show interstitial ad on transition to free wallpaper 
:new: - Generate more button bring user back
:new: - Make server and client side Ids in Mixpannel consistant 
- Update after_download_action - add make_scroll and discover_more_new
- A/B feed_content

### Fixed
:new: - New/Recent Feed duplicated 
:new: - Crash when going back to main feed before letting download finish
:new: - Missing favorites text
:new: - For you feed is broken if user taps Skip on Category selecting 
- Feed glitches
- New/Recent Feed duplicated 
- still blinks on wallpaper open and close 
- Wallpaper exchange and crash
- still showing next wallpaper for a second when you try to go back (sometimes)
- still blink on tap on wallpaper(sometimes)
- freeze after series of zoom-in/ zoom-out in category

### [1.21.0]
### Added
:new: - Change AppMetrica account

### Fixed
:new: - pictures losing download elements
:new: - New/Recent Feed duplicated 

### [1.21.999]
### Added
:new: - PoC Watchface Installing flow


### [1.22.0]
### Added
- Watch faces implementation

### Fixed
:new: - Images not loading
:new: - Category screen shows up each time when reopening app
:new: - On-wallpaper IAP should take trial length from SKU 
- App Stuck on loading screen if fast going back from straight to download
- Refreshing For You feed few times stops loading the wallpapers

### [1.23.0]
### Added
- Realize receiving image in notifications
- Hardcode new navigation
- Make transitions in search, artist profile and my profile the same as we did for feed (pinterest-like)
- A/B test: when to ask for notifications
- Allow good quality save in free wallpapers thru 3 dot menu
- Search - don't show "create with ai" banner until search result's didn't really finished 
- Allow_tracking experiment additions 
- Watch face adjustments
- A/B test data consent prompt 

### Fixed
:new: - Artist name appears in collections header
:new: - Solve top crash
:new: - inner feed finishes when scrolling a lot 
- Cut off screen
- Unloaded image in search 
- Onboarding screen issue
- Ui issue in the new track screen
- Specific user experiences a bunch of issues 
- Not showing tracking at all on this device
- Add a message when time & date are not updated
- First wallpapers blinks
- On this device header too close to the native status bar inside artist profile
- Liked and downloads still has update issue when changing users
- Artist icon blinking every time you download a image 
- Able to tap on few wallpapers in main feed at the same time
- Feed glitches
- Download animation shouldn’t appear in error pop up 
- Notifications_not_allowed sent multiple times in ine session - probably problem with event set up
- Taping on try do not do anything 

### [1.24.0]
### Added
- Remote config: Add option to get into remote config in walli's Diawi versions
- Hardcode and show our other apps ads in case rewarded ad couldn't be shown before downloading the wallpaper
- Buttons style experiment A/B

### Fixed
:new: - Downloaded images won't save in gallery if Skip Category select 
- First wallpapers blinks
- Going back from an image in search takes user to the wrong place
- Downloaded images won't save in gallery if Skip Category select 
- Going back from an image in search takes user to the wrong place
- Crash issue from Firebase
- Downloaded images won't save in gallery if Skip Category select 
- Make letter W capital to make the design consistent
- Category select button shape not matching on boarding continue button
- New purchase buttons are not matching Figma's design
- Artist name appears in collections header
- Tittle under Heart in navigation menu disappears if Reaching feed fast on fresh install
- Solve second - top crash

### [1.25.0]
### Added
:new: - New Pricing test plan buttons are processed trigger point 
- Remove green rectangle when searching 
- New Pricing test
- IAP screens changes 
- Restore Facebook Login to the app

### Fixed
- IAP screens changes 
- New Pricing test
- Loading buffer keeps loading 
- SIngle-color rectangle if searching wallpaper
- AI categories images cut off
- Depth effect category picture is blurry

### [1.26.0]
### Added
:new: - iAP free trail eligibility checking and disabling free trial button if needed
- Add events when wallpapers triggered payment or rewarded ads view

### Fixed
- Wrong price
- [Crashlytics] MainPresenter.fetchArtworksError(error:)
- Category select button shape not matching on boarding continue button
- New Pricing test


### [1.27.0]
### Added
- Disable attaching the best offer banner to the top
- Differentiate locked/ads wallpapers between users 
- Suggestion: Add a timer in Best Offer banner
- Show daily IAP each cold launch 
- Discount screens for old users
- Make Category Select button Perfectly aligned with the onboardings continue button

### Fixed
:new: - Tapping on banner and exiting best offer screen automatically scrolls and hides the Banner
:new: - Collection screen "jumps" if getting back to it
- Do not show regular purchase screen when there's Best offer 
- Best offer not appearing on the returning to app in the 3rd day
- Timer numbers on best offer banner are too close to the borders
- Can’t share in iPads 
- Save not working after network connection returned  
- after download 2: make_scroll - ensure, that after scroll is made no ad is shown
- No categories names at all
- Banner disappeared automatically 
- Timer run out issue
- On all the best offer screens timer appears with a delay
- Best offer appears on fresh install and on the same day returning to the app
- No image saved animation/pop up
- Download wallpapers don’t update immediately 
- Category name jumps on header if going back from inner wallpaper
- Back icon too high
- 3 dots menu share behaviour changes
- My creations design improvements
- Download animation in share
- Old users Discount screen UI issues
- Zoom in images

### [1.28.0]
### Added
- [PoC] New navigation menu search tab change a/b
- Separate Diawi and Production environment
- Update special offers design
- Add an option in custom remote config in the app to toggle best offer as a new user

### Fixed
:new: - Sign up screen changes when registering with FB
:new: - Invalid letters error When Sign up thru Facebook
- Search broken
- On this device Best offer timer shows 59 Minutes
- Best offer UI changes on iPads
- Facebook login is still broken
- Facebook login is still broken
- Best offer screen UI issue for iPads resolution
- after_download_action - variants bug
- Timer stop counting
- UI issues for iPad Air 5 
- Nested Pinterest Transition Mismatch Tracking
- Restoring premium behaviour
- Crash on My creations ai tab when a lot of Ai wallpapers are generated
- Don't dismiss call to action until payment screen is triggered
- Fix "sign in" menu text and appearance
- Best Offer screen ui feedback
- Artist tab should be in plural > "Artists"
- Depth effect category picture is blurry
- Animation issue
- Crash when transitioning between tabs on a second entry
- Blinking artist icon
- IAP animation issue
- The NavigationBar jumping on profile screen when back from Full screen
- New wallpaper transition should be implemented Also in Search and Artist wallpapers
- Old transition impacts main feed if going back from Artist's wallpaper
- Artist icon is cut off

### [1.29.0]
### Added
:new: New search: logic when nothing is found 
- Apple watch process improvement a/b experiment
- New V2 S2S events setup
- Lucky wallpaper logic 
- New navigation menu search tab change a/b - improved transition animated tracking in new search screen

### Fixed
- Zooming out on the wrong wallpaper from inner feed
- Deleting in new search issue
- Animation issue in new search
- Still showing free trial option in purchase screen if user is not eligible for trial
- New navigation menu search tab change a/b
- When you come back from artist, the transition is weird
- Lucky wallpaper logic
- Switch to automatic signing or update provisioning profile so we can continue working with diawi
- Back gesture in favorites tab
- My creation screen looks messy on iPad
- Cannot tap on the Ai created wallpaper from the 9th image
- Disappearing events log
- Loading buffer keeps spinning
- Special offer gets shown to all users instead of only purchasers
- One of the variant doesn't have ad-locked at all
- search_opened event sent on app start
- Navigation bar jumping when back from full screen in AI collections

### [1.30.0]
### Added
- Update 3rd SDK
- Remove "sign up" button (and screen behind it)
- Picture preview enhancements
- Switch on new method for Walli Apple Sign implementation
- Zones of artist/like/save buttons should be bigger
- Send Identity token in the Apple Sign In process
- A/B experiment: if continue button on the category selection screen should be disabled when no category is selected
- Restrict sending notifications to premium users.
- A/B Wallpaper iPhone preview
- A/B test: instantly start rewarded ad for "ad" locked wallpaper
- Update Download Image on the 3dots Menu
- a/b test: new artwork iap texts
- Changes for enabled variant of watch face onboarding
- Add press-and-hold quick actions
- Add download wallpaper as first option in this ... menu

### Fixed
:new: - Inconsistency of Remote configure for lock screen preview mode
- Usual user couldn't login with mail
- Wrong image is displayed in search screen
- Tap To Preview wallpaper tutorial appears randomly
- iOS 17 Beta Bugs
- Main feed takes user always to the placement of the last wallpaper they tapped even if user returned to the beginning of the feed
- Signing up with Apple id feature unexpected behaviour
- No artist icon or like numbers
- Variant without apple watch - fix sizes of icons
- Remove pointer for users who said that they have watch
- Fix broken ad unit
- Not getting the tap screen to preview tutorial
- Artist circle and Ripple effect are not in the same position
- iOS 17 Beta Bugs
- Plus icon under Artist profile circle is too small
- No apple watch feature at all
- Not a free offer
- Tutorial UI issues
- Still don't have loader after tap on "try for free" before getting an subscription window
- Good old blink
- Status bar visible in Apple watch screen

### [1.31.0]
### Added
:new: - Reduce the package size to under 200MB
:new: - Update the App Store 5.5" screenshot
:new: - Duplicated Navigation Bar after back from Notification center with logged in
- Fix won the A/B Testing from price_aug_23_test_plan so that instant payment screen triggering is applied
- A/B New animation before payment
- A/B New pricing test 2/10/23: 14 days trial
- If there's no/very weak Internet connection, show connection error message in all screens until connection reappears
- Remove this error message
- Edit & update widget tutorial text
- Not showing Widgets tutorial
- CI/CD switch to Xcode 15
- Make artwork placeholder colorful background
- A/B test having lockscreen widgets available
- New search: come back from made search using swipe from left to right 
- Prepare Xcode 15 support
- Transition to artist profile by swipe right from the picture 

### Fixed
- Buttons on Apple Watch request screen should be the same size as Continue buttons from the onboarding to the First Purchase screen
- Tapping on a linked widget not always shows redirecting message
- Customizing our widgets in Light mode makes them invisible
- Widget tutorial is empty
- Widgets icons lead to walli
- Widget pairs are not ordered correctly
- Double back icons/weird UI
- Navigation menu disappearing if going back from a wallpaper in search
- Back button duplicates if swiping right for artist bio in their profile
- UI issue when opening a Widget
- Back button in artist profile disappears
- App turns into horizontal state
- Different wallpaper is shown when network is weak
- Wrong image is displayed
- Wallpapers in main feed duplicates
- Transition to artist profile by swipe right from the picture - fix the smoothly issue

### [1.32.0]
### Added
- Make also Best offer Continue button equal in size to the rest buttons
- Do not block user when showing image downloaded animation
- via Event name, Sent to appmetrica mixpannel id and unique identifier from the backend as a parameter of the user
- via User Profile, Sent to appmetrica mixpannel id and unique identifier from the backend as a parameter of the user 
- Sent to appmetrica mixpannel id and unique identifier from the backend as a parameter of the user 

### Fixed
:new: - Special offer flicking issue
- Try to refresh feed automatically if have an internet problem
- Able to tap continue in category select screen without any category selected
- Second wallpaper duplicates when scrolling upwards in inner feed
- All the features inside a wallpaper disappear, including the back button, if returning to the app
- Like images do not appear immediately

### [1.33.0]
### Added
- Remove FB login/sign up entirely from the app 

### Fixed
:new: - Walli crashes on this device if trying to open a linked widget
:new: - Shows Dollar sign when the cost turns to Shekels if time/date is not updated

### [1.34.0]
### Added
- Lockscreen preview - hardcode winner
- Age&Gender selection
- Check/Perform SDK integrations

### Fixed
:new: - Image not downloading 
- can't tap on continue after the 5th onboarding screen(the button is disabled).
- Styles in Ai screen disappeared
- Fix mistake "failed to fetch artwork on the onboarding 
- Walli crashes on this device if trying to open a linked widget

- Good old blink

### [1.35.0]

### Fixed
:new: - Walli crashes if there's no connection 


### [1.36.0]
### Fixed
:new: - Walli crashes when scroll to last on welcome screen

- Good old blink 

### [1.36.1]
### Added



### [1.37.0]
### Added
:new: - Text in Gender selection screen is too big
- Decrease pause before Live Wallpaper animation is replayed
- Remove "live photo saved successfully" window
- Onboarding age & gender selection - remove skip
- Delete Ironsource SDK from the app
- Enabled the tag images screen swipe to back
- Make New Search Right sliding less sensitive
- Gender & Age selection changes
- Preload live wallpapers
- reducing the package size
- Present live wallpaper animation delayed just like it will be set in lock screen
- Watch face changes connected to the fact that we can identify them
- Set the minimum iOS target to iOS 15
- Identify whether the user has an Apple Watch or not
- Freeze the last frame of live wallpapers - similarly to how MyScreen do it
- Increase tap box size in live wallpapers for Back and Save buttons
- Like button resets in Live wallpapers
- slow down video play speed rate to 0.35
- add like Count on Live Wallpaper
- PoC Live Wallpaper on Live Wallpaper categories page with preview mode and download button and Pinterest-like transition

### Fixed
:new: - App crashes on Live Wallpaper by reentering many times
- Restore purchases is not working
- App crashes
- "No internet connection" on good wifi
- Onboarding Transaction Speed issue with a disabling continue button for normal speed version 
- Live Wallpaper performance issue
- App crashes
- Transition into live wallpapers and back is not smooth
- Old search bar disappears specifically when starting a recording
- Cannot tap on single line results in New search
- Invisible search topic in new search
- Tags tab in old Search Freezes
- Issue in Search with a specific artist
- Freeze in search
- App crashes when scrolling through live wallpaper
- In iOS 17, live wallpaper versions - next category is selected instead of the one I tap on
- Back button in inner feed of live wallpapers disappears if tapping on screen to preview wallpaper


### [1.37.1]
### Added

:new: - Do not show live wallpaper category for devices with iOS < 17

### Fixed
:new: - Crash issue on AppLovin 3rd-party ad library
:new: - Crash on enter to live wallpapers

### [1.38.0]
### Added
- Lag while scrolling in live wallpapers
- Searching artists not showing results right away
- Check if we could send "value" for "ad_watched" events from AdMob and AdManager to Mixpanel
- Should show loader in collections in a weak network
- Enable playing the videos on the collection screen of Live Wallpaper
- Category selection - hardcode skip
- Hardcode download_or_artist for notification_time

### Fixed
:new: - Artist icon in notifications issue
:new: - Bottom menu in images
- Like count issue
- Depth effect category disappears in Category select screen
- Reset password screen should be consistent with Log in screen
- Odd sound in Walli on this device
- Crash in search screen while entering text
- In weak connection, show Retry message continuously
- Crash in Wormholy library in production
- Crashlytics reported Live Wallpaper layout threading issue

### [1.39.0]
### Added
- Migrate Project settings to Smart Media account
- Update purchase animation for users not eligible for free trial
- Returning to the app from background distorts Reviews sliders for a second
- A/B test special offer after closing the IAP
- Make First screen title with the sliding dots placed exactly as in the rest of onboardings
- Sliding reviews animation issues
- The rest of the onboarding screens needs to be added
- A/B test reviews slider on onboarding
- Add an event when the lockscreen widget is saved
- Show discount screen after closing of the main IAP
- A/B Test: IAP purchase design update 
- add A/B test: thumbnails aspect ratio to RC
- A/B test: thumbnails aspect ratio
- Inner feed shows wrong Artist after refreshing

### Fixed
:new: - Crash when Downloading a Widget
- Reviews carousel spins aggressively when opening app for the first time
- New discount IAP and old IAP are showing together
- Small UI issue with new purchase screen on iPads
- Showing wrong price in Special offer Brackets
- Screen lags for a moment when returning to the first onboarding screen
- Buffer keeps spinning for an unlimited time
- New IAP UI issue aliment $x.xx per week should be starts from the middle(from c in special)
- Reviews slider IAP slide issue
- Review Sliders are seen also in Category selection screen
- UI issue in Category select screen on this device
- UI issue in New IAP
- Walli freezes/crashes when transitioning between Artist social media links
- UI issue in New IAP
- Lockscreen widget tutorial - design fix


### [1.40.0]
### Added
- Fix ad_revenue event
- Remove Applovin SDK
- A/B test - action on picture tap 
- Scroll tutorial and scroll ads change
- Send values of ads to Google Analytics as conversions
- Lockscreen preview - leave clocks in a stable place, don't scroll it with wallpapers
- Instant_to_reward_2 - hardcode result

### Fixed
:new: - Date and time stays on the feed
:new: - Collection View layout issues with compiler complaining for layout engine
- Ads in inner feed
- Image not getting downloaded
- A/B test - action on picture tap 
- AI results screen UI issues in this device
- App does not show ads despite having good internet
- Sliding animation if going back to the last onboarding screen from gender selection
- Remove white screen when sliding to the left in artist bio


### [1.41.0]
### Added

### Fixed
:new: - Date and time stays on the feed
- Odd sound in Walli on this device
- Crash issue closure #1 in static PreviewService.setPreview()


### [1.42.0]
### Added
- Disable action on picture tap in notification 
- Shuffle Packs implementation
- Update FB SDK for iOS

### Fixed
:new: -  Scrolling tutorial issues
- Make live wallpaper loop more smoothly
- Ads with no volume/volume icon disabled
- Make Shuffle packs activation remote configurable
- No download animation after interstitial ad
- Image not getting downloaded
- All shuffle pack images getting saved in the same album
- Update: Odd sound in Walli on this device
- Shuffle pack getting downloaded as soon as user just taps on it to view
- Update: Odd sound in Walli on this device
- Artist’s Profile picture is missing
- Profile broken
- No Shuffle Packs tutorial
- Shuffle Packs download only one image
- No ads/premium in Shuffle Packs
- Can’t go back with back gesture 
- No message is provided when there is no result
- Odd sound in walli on this device by downgrading Admob SDK from 10.13.0 to 10.8.0

### [1.43.0]
### Added

### Fixed
:new: - Remove tag preload for reducing the requests on algolia


### [1.44.0]
### Added
- Showing error when saving this live wallpaper
- Like/unlike service for LiveWallpaper
- List and remove unnecessary events
- Check videos logic - that we could publish it to prod to switch videos logic to API
:new: *- Integrate with TapKit*
:new: *- Implement IAP using StoreKit2*

### Fixed
:new: - Options disappears
 
### [1.45.0]
### Added
- Live Wallpapers  - random likes amount should be shown
- Apply the SwiftFormat rules for consistent coding style
- Hardcode thumbnails_aspect_ratio = baseline
- Hardcode special_offer_after_closing_the_iap = enabled
- Hardcode action_on_picture_tap = enabled
- Applied super-solution upscaling by MetalFX in the Full screen and download 
- Wallpapers will be saved as HEIF when device available iOS 17 above.
- Integrate TapKit for Walli, including StoreKit2
- Reviews: hardcode winner for English devices and create a/b test for 4 more languages 
- Make onboarding immersive design
- Like/unlike service for LiveWallpaper
- Paywall purchase button should be in same placement as onboardings button

### Fixed
:new: - Fix clock in iPhone 15 Pro Max to resemble real iOS one - currently, margins are huge
:new: - Price should be XX/Week
:new: - Wrong price in Lucky Pick offer
- Wrong free trial text in premium/ads images
- Wrong free trial text in IAP
- Solve two issues on iphone 15 pro max (Ofir's device)
- No loading buffer in share
- Reviews: hardcode winner for English devices and create a/b test for 4 more languages 
- New A/B test language issue

### [1.46.0]
### Added
:new: - Direct live wallpaper profile icon to live wallpaper category
:new: - Live wallpapers don’t get refreshed
:new: - Changes in Ai screen tutorial
- Disabled the auto-download after ad displayed
- Do not show results in search unless user taps Search
- Live Wallpapers- Show newest first in feed
- (A/B Test) Remote Configure for upscaling
- Force animated wallpapers to the main feed every 5th wallpaper as an AB test for iOS17+ devices
- Remove the duplicated event logger
- AD revenue tracking only with precise
- Suggestion: If Artist's inner feed ends, show main feed - make feed run endless - set as AB test vs current baseline
- [Revert⚠️] Mixpanel Event Tracking Logic Revised
- Suggestion: Tap twice on a wallpaper to like it

### Fixed
- Irrelevant images in search 
- REOPEN - [1.46.0(5)D] (A/B) Force animated wallpapers to the main feed every 5th wallpaper as an AB test for iOS17+ devices
- [P1][iPhone 14 Pro Max][1.46.0 (1)D]-No live wallpapers
- Missing images
- Crashlytics for 1.46.0
- Live wallpapers stop working when transitioning back into the app
- Users should be able to dismiss the keyboard when clicking outside of the keyboard

### [1.47.0]
### Added
- Setup the GrowthBook for Walli
- Extend ads showing time when scrolling feeds

### Fixed
:new: - Search crash
:new: - Crash after ad 
- Popular feed appears in the downloads 
- Reopen No live wallpapers
- Can’t use AI generator tool
- Endless skip tutorials
- Crash after purchasing inside a wallpaper
- Crashlytics on MainViewController.applySnapshot
- Live wallpapers loop is clunky
- Reopen [1.46.0(7)D][P1][iPhone 14 Pro Max][1.46.0 (1)D]-No live wallpapers
- Issue on UXCam

### [1.48.0]
### Added
- **Suggestion: A/B test for live wallpaper looping type

### Fixed
:new: - Live wallpaper doesn’t get saved in likes
:new: - Crashlytics static DbHelper.userToken()
:new: - Crashlytics specialized _ContiguousArrayBuffer.init(_uninitializedCount:minimumCapacity:)
:new: - Crashes issue by finishing payment inner artworks with crown badge
:new: - 'Ad' icon still stays on save button
- Update Search as in the rest of the devices
- Notifications screen still has Squares
- Share From 3 Dot button does not work
- Welcome Screens design Mismatch
- UI disappeared in inner feed
- Swipe on main feeds crashes
- Crashlytics crashes A
- Auto ad showing in rewarded wallpapers won't "open" Save button
- Time display appears for a moment when exiting a new wallpaper in search
- Don't show error code for users when purchase fails
- Artist icon in search are blinking

### [1.49.0]
### Added
- **Suggestion: Implement the watchface for AI generated content
- Enable the Live wallpaper on category page for iOS 17(above)
- Live wallpaper don’t gets save in likes
- Privacy Policy Update by Apple
- [1.48.0][Crashlytics][3rd-party] Remove Wormholy from TF build
- Redesign our feed (small touches)

### Fixed
:new: - Live wallpapers don’t have the new UI change 
:new: - Like/Download live wallpaper issues

### [1.50.0]
### Added
:new: - A/B Test: Filtering certain wallpapers to appear Only in Search Result
- Remove appmterica SDK - they stopped recording our events
- Remove AppMetrica
- Remove YandexMobileMetricaPush, app push notification will be broken

### Fixed

### [1.51.0]
### Added
- Brainstorm - Walli live wallpapers in feed

### Fixed
- Like/Download live wallpaper issues
- Apple-Watch icon appears even when there's no watch paired
:new: - **Reopen [1.51.0(1)D] Brainstorm - Walli live wallpapers in feed

### [1.52.0]
### Added

### Fixed
- Good old blink 
- Crashlytics ArtworksMultiFeedViewController.applyUpdatedSnapshot()
- Crashlytics closure #2 in ShareService.presentSystemShareSheet(from:items:completion:)

### [1.53.0]
### Added
:new: - [UI Update May 2nd 24] Redesign our feed (small small touches)

### Fixed
- UI issue Doubled header
- Hardcode AB test winners

### [1.54.0]
### Added
:new: - [UI Update May 2nd 24] Redesign our feed (small small touches)
### Fixed

### [1.55.0]
### Added
:new: - Add a Cancel button on the search bar 
- hardcode the winner A/B tesing

### Fixed
- Back arrow icon not align in live wallpapers in LW category
- Crown icon in different images
- Back arrow icon not align in live wallpapers 
- Issue when tapping fast on a premium wallpaper

### [1.56.0]

### Added
:new: - Remove Adjust
- AppsFlyer Integration
- Onboarding [redesign]

### Fixed
- Patch new onboarding design
- Crash After buying premium
- make continue button consistent in onboarding

### [1.57.0]
### Added
- AppsFlyer Events Constraint
- AppsFlyer Events Constraint exclude the "session_start
:new: - AppsFlyer Events Constraint bring back "session_start"
:new: - Make Black Fade Area of Video bottom on the Welcome Screen

### Fixed
- static Purchase.verifyPremium(with:)


### [1.58.0]
### Added
- Stage (1/2) Upgrade out of date APIs to fix the compiler warnings
- Stage (2/2) Upgrade out of date APIs to fix the compiler warnings
- Swift Migration to 6.0 with "Targeted" flag on strict concurrency checking

### Fixed
:new: - App crashes when there's no WIFI

### [1.59.0]
### Added

### Fixed
- Fix Top Crashes
:new: - Back gesture don’t work, from screen side

### [1.60.0]
### Added
- Swift Migration to 6.0 Compatible and Elimination of Compiler Errors and Warnings with "Complete concurrency flag"

### Fixed
:new: - icons disappear after an ad for apple watch users
- [Crashes]SheetViewController.resize(to:duration:options:animated:complete:)

### [1.61.0]
### Added
- Migrating Swift 6.0 with Complete Strict Concurrency Check Reduce the Warnings 362 to 277 (in Swift 6.0 mode Errors)
- Migrating Swift 6.0 with Complete Strict Concurrency Check Reduce the Warnings 277 to 71 (in Swift 6.0 mode Errors)
- Migrating Swift 6.0 with Complete Strict Concurrency Check Cleanup the Warnings 71 (in Swift 6.0 mode Errors)

### Fixed
:new: - Clock and date icons appears in the feed
:new: - Tapping Continue fast on onboarding shows a black screen

### [1.62.0]
### Added
- Migrating Swift 6.0 with Complete Strict Concurrency Check Cleanup all warnings
:new: - Migrating Swift 6.0 with Complete Strict Concurrency Check Reduce the Warnings for Sendable issues

### Fixed
:new: - Onboarding UI issue in specific device
:new: - UI issue on specific device tabBar heigh anchor 


### [1.63.0]
### Added
### Fixed
:new: - top crashes
:new: - Video in first onboarding screen is stuck when app sent to background

### [1.64.0]
### Added
:new: - Fix Design - Copycats for App Store
- Fix Design - Copycats for App Store
- Revise the watchface flag and only on iPhone. 
- Implementing a successful test from TapScanner: Onboarding Progress Indicators 

### Fixed

### [1.65.0]
### Added
:new: - Add search to our Remote config 
- A/B Test: Relocate the search icon
- A/B Test: Relocate the search icon (PoC for now, it works in progress)
- A/B Test for Purchase Button Text
- Improvement needed: Expanding the visibility of the fifth row on the category selection screen during onboarding.
- Changes to the Favorites screen 

### Fixed

:new: - Genarate AI thru search is not working 
:new: - Double back button in Artist profile
- Profile changes back to favorites
- Free trial not showing in inner paywalls
- UI issue in category select screen
- Bugfix data race onboarding 

### [1.66.0]
### Added
:new: - add event tracking show_plans for all plan
- Add A/B Test Adding "All Plans" Button on Purchase Screen 
- Add view_all_subscription_plan key on the GrowthBook that values baseline and enabled 
- Add key aligned_feed on GrowthBook with values baseline, enabled
- A/B Test: Aligning the wallpapers on the home screen
- Add tracking events on the Mixpannel

### Fixed
- No Settings option
- Bugfix event first_purchase_screen is trigged on daily IAP screen


### [1.67.0]
### Added
:new: - create a handshake to open remote configure
- Binding Email and mixpannel id
- Add tracking events on the Mixpannel 2
- Improvement needed: Change the Profile icon

### Fixed

### [1.68.0]
### Added
:new: - Hardcode winner of "Onboarding Progress Indicator Styles" Test
:new: - Hardcode winner of "Purchase Button CTA wording" Test
:new: - Add transaction_id property to payment_complete event
- Update the TapKit 
- Remove Amplitude-iOS
- Add Sticky Bucketing

### Fixed


### [1.69.0]
### Added
- Hardcode winner of A/B Test Adding "All Plans" Button on Purchase Screen 
- Hardcode winner of "Aligned Feed"  Test
- Unity Ads crashes when the Package is built by Xcode 16, Remove the Unity Mediation 
- A/B Test: Improving the purchase screen with premium feature breakdown
:new: - [UX Enhancement] Transition animation from main feed to full screen may blink randomly, Especially on 120Hz screen refresh rate device
:new: - A/B Test: Combining Collection screens and Home for a reorganized home screen layout
:new: - Swaps gesture tutorial for scrolling horizontally will be displayed at the second time launched, due to the first time will prompt a discount dialog.
### Fixed

### [1.69.1]
### Added
- Remove the dollar sign 
- Hardcode winner of "Relocate the Search Icon" Test

### Fixed
:new: - Remove Live wallpapers in new collection design for lower than ios 17 devices
- Wrong Text in new paywall for Free Trial
- recenter the pivot of the glow animation
- Add settings option back to app
- All features in the top are cut out on small screens

### [1.70.0]
### Added
- A\B Test Sign-Up Screen Onboarding, new key: `enabled_signup_onboarding` on the GrowthBook

### Fixed
:new: - Sign up breaks Profile logic

### [1.71.0]
### Added

### Fixed
:new: - Crashes on Profile page
:new: - UI issues on navigation menu
- Top crashes issue of Array related issue.
- Crashes at SignUpContainerViewController.showAllOutlets()

### [1.72.0]
### Added
### Fixed
:new: - Fix Top Crashes

### [1.73.0]
### Added
:new: - Adding new property Eligible_for_trial
:new: - Hardcode winner of "Combining Collection screens and Home"  Test
### Fixed

### [1.74.0]
### Added
- bring back the first_purchase_screen event
- Events for toolbar and tabs - Reorganization
- Events for payment - Reorganization
- Hardcode winner of "SignUp On the Onboarding" test, baseline Won
- Events for Search, AI and Permissions- Reorganization
- Ignored Events to remove from 'Log' 
- Events for Actions - Reorganization
- Events for onboarding - Reorganization
- Hardcode winner of "New Purchase Style"  Test, baseline won.
- A/B Test: Landing Screen for Users Without onboarding's Category Selection, new key: `landing_screen` on the GrowthBook
- Hardcode winner of "SignUp On the Onboarding"  Test
- Adjust app_first_open Event Behavior for Returning Users

### Fixed
:new: - category_tap event should be triggered for Live Wallpapers
- Events for Actions - Reorganization, according to the feedback


### [1.75.0]
### Added
### Fixed
:new: - Fixing new events issues: onboarding_started should be triggered after first_iap_screen_closed or payment_complete on the first iAP screen
- Fixing new events issues

### [1.76.0]
### Added
### Fixed
:new: - Fix the property ad_type in ads_started event
:new: - Adding properties to image events
:new: - Implement the property artist to all image_downloaded

### [1.77.0]
### Added
- Returning the scrolled_artwork 
- Enhanced Randomized Image Classification Logic

### Fixed
:new: - Bugfix For_You_Tab Event Trigger for Incomplete Onboarding Users 

### [1.78.0]
### Added
:new: - Events Payment polishing
### Fixed

### [1.79.0]
### Added
:new: - Payment_start Improvements for app versions only
:new: - Landing tab on Profile screen in Downloads tab at first time entering

### Fixed

### [1.80.0]
### Added
- Enabled the ProMotion functionality for iPhone Pro and Pro Max series devices via set CADisableMinimumFrameDurationOnPhone to true in the Info.plist file
:new: - Update App Icon Christmas
### Fixed


### [1.81.0]
### Added
:new: - Refund Saver
:new: - New Dark icon for iOS 18
### Fixed

### [1.82.0]
### Added
:new: - New Dark icon for iOS 18
### Fixed


### [1.83.0]
### Added
- Change API for Text to Image
:new: - Add MetalFX upscale for AI Generate with iOS 16 above
### Fixed
:new: - Rewarded wallpaper issue on this device
